diff --git a/kmail/kmedit.cpp b/kmail/kmedit.cpp
index dbbb53808..336901b37 100644
--- a/kmail/kmedit.cpp
+++ b/kmail/kmedit.cpp
@@ -122,7 +122,7 @@ void KMEdit::keyPressEvent( TQKeyEvent* e )
                        && newLine[leadingWhiteSpaceCount].isSpace() ) {
                     ++leadingWhiteSpaceCount;
                 }
-                newLine = newLine.tqreplace( 0, leadingWhiteSpaceCount,
+                newLine = newLine.replace( 0, leadingWhiteSpaceCount,
                                            lineText.left( bot ) );
                 removeParagraph( line );
                 insertParagraph( newLine, line );
@@ -383,7 +383,7 @@ KMSyntaxHighter::KMSyntaxHighter( TQTextEdit *textEdit,
 
 bool KMSyntaxHighter::isMisspelled( const TQString &word )
 {
-  if ( mIgnoredWords.tqcontains( word ) ) {
+  if ( mIgnoredWords.contains( word ) ) {
     return false;
   }
   else {
@@ -440,15 +440,15 @@ bool KMEdit::eventFilter(TQObject*o, TQEvent* e)
       (*mExtEditorTempFile->textStream()) << text();
 
       mExtEditorTempFile->close();
-      // tqreplace %f in the system line
-      sysLine.tqreplace( "%f", mExtEditorTempFile->name() );
+      // replace %f in the system line
+      sysLine.replace( "%f", mExtEditorTempFile->name() );
       mExtEditorProcess = new KProcess();
       mExtEditorProcess->setUseShell( true );
       sysLine += " ";
       while (!sysLine.isEmpty())
       {
-        *mExtEditorProcess << sysLine.left(sysLine.tqfind(" ")).local8Bit();
-        sysLine.remove(0, sysLine.tqfind(" ") + 1);
+        *mExtEditorProcess << sysLine.left(sysLine.find(" ")).local8Bit();
+        sysLine.remove(0, sysLine.find(" ") + 1);
       }
       connect(mExtEditorProcess, TQT_SIGNAL(processExited(KProcess*)),
               TQT_SLOT(slotExternalEditorDone(KProcess*)));
@@ -497,13 +497,13 @@ bool KMEdit::eventFilter(TQObject*o, TQEvent* e)
     {
       //Get word right clicked on
       const TQRegExp wordBoundary( "[\\s\\W]" );
-      firstSpace = paraText.tqfindRev( wordBoundary, charPos ) + 1;
-      lastSpace = paraText.tqfind( wordBoundary, charPos );
+      firstSpace = paraText.findRev( wordBoundary, charPos ) + 1;
+      lastSpace = paraText.find( wordBoundary, charPos );
       if( lastSpace == -1 )
         lastSpace = paraText.length();
       TQString word = paraText.mid( firstSpace, lastSpace - firstSpace );
       //Continue if this word was misspelled
-      if( !word.isEmpty() && mReplacements.tqcontains( word ) )
+      if( !word.isEmpty() && mReplacements.contains( word ) )
       {
         KPopupMenu p;
 
diff --git a/kmail/kmfilter.cpp b/kmail/kmfilter.cpp
index 2f6bbbd78..4441b8611 100644
--- a/kmail/kmfilter.cpp
+++ b/kmail/kmfilter.cpp
@@ -186,9 +186,9 @@ bool KMFilter::folderRemoved( KMFolder* aFolder, KMFolder* aNewFolder )
 
 void KMFilter::setApplyOnAccount( uint id, bool aApply )
 {
-  if (aApply && !mAccounts.tqcontains( id )) {
+  if (aApply && !mAccounts.contains( id )) {
     mAccounts.append( id );
-  } else if (!aApply && mAccounts.tqcontains( id )) {
+  } else if (!aApply && mAccounts.contains( id )) {
     mAccounts.remove( id );
   }
 }
@@ -198,12 +198,12 @@ bool KMFilter::applyOnAccount( uint id ) const
   if ( applicability() == All )
     return true;
   if ( applicability() == ButImap ) {
-    KMAccount *account = kmkernel->acctMgr()->tqfind( id );
+    KMAccount *account = kmkernel->acctMgr()->find( id );
     bool result =  account && !dynamic_cast<KMAcctImap*>(account);
     return result;
   }
   if ( applicability() == Checked )
-    return mAccounts.tqcontains( id );
+    return mAccounts.contains( id );
 
   return false;
 }
@@ -236,9 +236,9 @@ void KMFilter::readConfig(KConfig* config)
       bApplyOnExplicit = true;
       mApplicability = ButImap;
     } else {
-      bApplyOnInbound = bool(sets.tqcontains("check-mail"));
-      bApplyOnOutbound = bool(sets.tqcontains("send-mail"));
-      bApplyOnExplicit = bool(sets.tqcontains("manual-filtering"));
+      bApplyOnInbound = bool(sets.contains("check-mail"));
+      bApplyOnOutbound = bool(sets.contains("send-mail"));
+      bApplyOnExplicit = bool(sets.contains("manual-filtering"));
       mApplicability = (AccountType)config->readNumEntry( "Applicability", ButImap );
     }
 
@@ -363,7 +363,7 @@ void KMFilter::purify()
     // Remove invalid accounts from mAccounts - just to be tidy
     TQValueListIterator<int> it2 = mAccounts.begin();
     while ( it2 != mAccounts.end() ) {
-      if ( !kmkernel->acctMgr()->tqfind( *it2 ) )
+      if ( !kmkernel->acctMgr()->find( *it2 ) )
          it2 = mAccounts.remove( it2 );
       else
          ++it2;
@@ -418,8 +418,8 @@ const TQString KMFilter::asString() const
       if ( mAccounts.isEmpty() )
         result += " None";
       else for ( it2 = mAccounts.begin() ; it2 != mAccounts.end() ; ++it2 )
-        if ( kmkernel->acctMgr()->tqfind( *it2 ) )
-          result += " " + kmkernel->acctMgr()->tqfind( *it2 )->name();
+        if ( kmkernel->acctMgr()->find( *it2 ) )
+          result += " " + kmkernel->acctMgr()->find( *it2 )->name();
       result += "\n";
     }
     if ( bStopProcessingHere )
diff --git a/kmail/kmfilteraction.cpp b/kmail/kmfilteraction.cpp
index ceef636e6..49378e9d5 100644
--- a/kmail/kmfilteraction.cpp
+++ b/kmail/kmfilteraction.cpp
@@ -266,7 +266,7 @@ void KMFilterActionWithStringList::applyParamWidgetValue( TQWidget* paramWidget
 
 void KMFilterActionWithStringList::setParamWidgetValue( TQWidget* paramWidget ) const
 {
-  int idx = mParameterList.tqfindIndex( mParameter );
+  int idx = mParameterList.findIndex( mParameter );
   ((TQComboBox*)paramWidget)->setCurrentItem( idx >= 0 ? idx : 0 );
 }
 
@@ -277,7 +277,7 @@ void KMFilterActionWithStringList::clearParamWidget( TQWidget* paramWidget ) con
 
 void KMFilterActionWithStringList::argsFromString( const TQString argsStr )
 {
-  int idx = mParameterList.tqfindIndex( argsStr );
+  int idx = mParameterList.findIndex( argsStr );
   if ( idx < 0 ) {
     mParameterList.append( argsStr );
     idx = mParameterList.count() - 1;
@@ -486,7 +486,7 @@ TQString KMFilterActionWithCommand::substituteCommandLineArgsFor( KMMessage *aMs
     // TQString( "%0 and %1 and %1" ).tqarg( 0 ).tqarg( 1 )
     // returns "0 and 1 and %1", so we must call .arg as
     // many times as there are %n's, regardless of their multiplicity.
-    if ((*it) == -1) result.tqreplace( "%-1", tempFileName );
+    if ((*it) == -1) result.replace( "%-1", tempFileName );
     else result = result.tqarg( tempFileName );
   }
 
@@ -496,7 +496,7 @@ TQString KMFilterActionWithCommand::substituteCommandLineArgsFor( KMMessage *aMs
   int idx = 0;
   while ( ( idx = header_rx.search( result, idx ) ) != -1 ) {
     TQString replacement = KProcess::quote( aMsg->headerField( TQString(header_rx.cap(1)).latin1() ) );
-    result.tqreplace( idx, header_rx.matchedLength(), replacement );
+    result.replace( idx, header_rx.matchedLength(), replacement );
     idx += replacement.length();
   }
 
@@ -806,7 +806,7 @@ KMFilterActionSetqStatus::KMFilterActionSetqStatus()
 
 KMFilterAction::ReturnCode KMFilterActionSetqStatus::process(KMMessage* msg) const
 {
-  int idx = mParameterList.tqfindIndex( mParameter );
+  int idx = mParameterList.findIndex( mParameter );
   if ( idx < 1 ) return ErrorButGoOn;
 
   KMMsgtqStatus status = stati[idx-1] ;
@@ -833,7 +833,7 @@ void KMFilterActionSetqStatus::argsFromString( const TQString argsStr )
 
 const TQString KMFilterActionSetqStatus::argsAsString() const
 {
-  int idx = mParameterList.tqfindIndex( mParameter );
+  int idx = mParameterList.findIndex( mParameter );
   if ( idx < 1 ) return TQString();
 
   KMMsgtqStatus status = stati[idx-1];
@@ -901,7 +901,7 @@ KMFilterActionFakeDisposition::KMFilterActionFakeDisposition()
 
 KMFilterAction::ReturnCode KMFilterActionFakeDisposition::process(KMMessage* msg) const
 {
-  int idx = mParameterList.tqfindIndex( mParameter );
+  int idx = mParameterList.findIndex( mParameter );
   if ( idx < 1 ) return ErrorButGoOn;
 
   if ( idx == 1 ) // ignore
@@ -929,7 +929,7 @@ void KMFilterActionFakeDisposition::argsFromString( const TQString argsStr )
 
 const TQString KMFilterActionFakeDisposition::argsAsString() const
 {
-  int idx = mParameterList.tqfindIndex( mParameter );
+  int idx = mParameterList.findIndex( mParameter );
   if ( idx < 1 ) return TQString();
 
   return TQString( TQChar( idx < 2 ? 'I' : char(mdns[idx-2]) ) );
@@ -996,7 +996,7 @@ void KMFilterActionRemoveHeader::setParamWidgetValue( TQWidget* paramWidget ) co
   TQComboBox * cb = dynamic_cast<TQComboBox*>(paramWidget);
   Q_ASSERT( cb );
 
-  int idx = mParameterList.tqfindIndex( mParameter );
+  int idx = mParameterList.findIndex( mParameter );
   cb->clear();
   cb->insertStringList( mParameterList );
   if ( idx < 0 ) {
@@ -1074,7 +1074,7 @@ TQWidget* KMFilterActionAddHeader::createParamWidget( TQWidget* tqparent ) const
 
 void KMFilterActionAddHeader::setParamWidgetValue( TQWidget* paramWidget ) const
 {
-  int idx = mParameterList.tqfindIndex( mParameter );
+  int idx = mParameterList.findIndex( mParameter );
   TQComboBox *cb = (TQComboBox*)paramWidget->child("combo");
   Q_ASSERT( cb );
   cb->clear();
@@ -1139,7 +1139,7 @@ void KMFilterActionAddHeader::argsFromString( const TQString argsStr )
     mValue = l[1];
   }
 
-  int idx = mParameterList.tqfindIndex( s );
+  int idx = mParameterList.findIndex( s );
   if ( idx < 0 ) {
     mParameterList.append( s );
     idx = mParameterList.count() - 1;
@@ -1196,7 +1196,7 @@ KMFilterAction::ReturnCode KMFilterActionRewriteHeader::process(KMMessage* msg)
 
   KRegExp3 rx = mRegExp; // KRegExp3::replace is not const.
 
-  TQString newValue = rx.tqreplace( msg->headerField( mParameter.latin1() ),
+  TQString newValue = rx.replace( msg->headerField( mParameter.latin1() ),
                                      mReplacementString );
 
   msg->setHeaderField( mParameter.latin1(), newValue );
@@ -1224,7 +1224,7 @@ TQWidget* KMFilterActionRewriteHeader::createParamWidget( TQWidget* tqparent ) c
   l->setFixedWidth( l->tqsizeHint().width() );
   hbl->addWidget( l, 0 );
 
-  TQLineEdit *le = new KLineEdit( w, "tqreplace" );
+  TQLineEdit *le = new KLineEdit( w, "replace" );
   hbl->addWidget( le, 1 );
 
   setParamWidgetValue( w );
@@ -1233,7 +1233,7 @@ TQWidget* KMFilterActionRewriteHeader::createParamWidget( TQWidget* tqparent ) c
 
 void KMFilterActionRewriteHeader::setParamWidgetValue( TQWidget* paramWidget ) const
 {
-  int idx = mParameterList.tqfindIndex( mParameter );
+  int idx = mParameterList.findIndex( mParameter );
   TQComboBox *cb = (TQComboBox*)paramWidget->child("combo");
   Q_ASSERT( cb );
 
@@ -1250,7 +1250,7 @@ void KMFilterActionRewriteHeader::setParamWidgetValue( TQWidget* paramWidget ) c
   Q_ASSERT( rele );
   rele->setText( mRegExp.pattern() );
 
-  TQLineEdit *le = (TQLineEdit*)paramWidget->child("tqreplace");
+  TQLineEdit *le = (TQLineEdit*)paramWidget->child("replace");
   Q_ASSERT( le );
   le->setText( mReplacementString );
 }
@@ -1265,7 +1265,7 @@ void KMFilterActionRewriteHeader::applyParamWidgetValue( TQWidget* paramWidget )
   Q_ASSERT( rele );
   mRegExp.setPattern( rele->text() );
 
-  TQLineEdit *le = (TQLineEdit*)paramWidget->child("tqreplace");
+  TQLineEdit *le = (TQLineEdit*)paramWidget->child("replace");
   Q_ASSERT( le );
   mReplacementString = le->text();
 }
@@ -1280,7 +1280,7 @@ void KMFilterActionRewriteHeader::clearParamWidget( TQWidget* paramWidget ) cons
   Q_ASSERT( rele );
   rele->clear();
 
-  TQLineEdit *le = (TQLineEdit*)paramWidget->child("tqreplace");
+  TQLineEdit *le = (TQLineEdit*)paramWidget->child("replace");
   Q_ASSERT( le );
   le->clear();
 }
@@ -1312,7 +1312,7 @@ void KMFilterActionRewriteHeader::argsFromString( const TQString argsStr )
   mRegExp.setPattern( l[1] );
   mReplacementString = l[2];
 
-  int idx = mParameterList.tqfindIndex( s );
+  int idx = mParameterList.findIndex( s );
   if ( idx < 0 ) {
     mParameterList.append( s );
     idx = mParameterList.count() - 1;
@@ -1596,7 +1596,7 @@ static const TQString forwardFilterArgsSeperator = "@$$@";
 
 void KMFilterActionForward::argsFromString( const TQString argsStr )
 {
-  int seperatorPos = argsStr.tqfind( forwardFilterArgsSeperator );
+  int seperatorPos = argsStr.find( forwardFilterArgsSeperator );
 
   if ( seperatorPos == - 1 ) {
     // Old config, assume that the whole string is the addressee
@@ -1745,7 +1745,7 @@ class PipeJob : public KPIM::ThreadWeaver::Job
           mMsg->setHeaderField( "X-KMail-Filtered", origSerNum );
         if ( filterFolder && handler ) {
           bool oldtqStatus = handler->ignoreChanges( true );
-          filterFolder->take( filterFolder->tqfind( mMsg ) );
+          filterFolder->take( filterFolder->find( mMsg ) );
           filterFolder->addMsg( mMsg );
           handler->ignoreChanges( oldtqStatus );
         } else {
diff --git a/kmail/kmfiltermgr.cpp b/kmail/kmfiltermgr.cpp
index b16769c58..565bbcc0f 100644
--- a/kmail/kmfiltermgr.cpp
+++ b/kmail/kmfiltermgr.cpp
@@ -128,10 +128,10 @@ void KMFilterMgr::endFiltering(KMMsgBase *msgBase) const
   KMFolder *tqparent = msgBase->tqparent();
   if ( tqparent ) {
     if ( tqparent == MessageProperty::filterFolder( msgBase ) ) {
-      tqparent->take( tqparent->tqfind( msgBase ) );
+      tqparent->take( tqparent->find( msgBase ) );
     }
     else if ( ! MessageProperty::filterFolder( msgBase ) ) {
-      int index = tqparent->tqfind( msgBase );
+      int index = tqparent->find( msgBase );
       KMMessage *msg = tqparent->getMsg( index );
       tqparent->take( index );
       tqparent->addMsgKeepUID( msg );
diff --git a/kmail/kmfolder.cpp b/kmail/kmfolder.cpp
index e8fa8a3d5..08fe43e01 100644
--- a/kmail/kmfolder.cpp
+++ b/kmail/kmfolder.cpp
@@ -432,14 +432,14 @@ int KMFolder::moveMsg(TQPtrList<KMMessage> q, int* index_return )
   return mStorage->moveMsg( q, index_return );
 }
 
-int KMFolder::tqfind( const KMMsgBase* msg ) const
+int KMFolder::find( const KMMsgBase* msg ) const
 {
-  return mStorage ? mStorage->tqfind( msg ) : -1;
+  return mStorage ? mStorage->find( msg ) : -1;
 }
 
-int KMFolder::tqfind( const KMMessage* msg ) const
+int KMFolder::find( const KMMessage* msg ) const
 {
-  return mStorage ? mStorage->tqfind( msg ) : -1;
+  return mStorage ? mStorage->find( msg ) : -1;
 }
 
 int KMFolder::count( bool cache ) const
@@ -717,8 +717,8 @@ TQString KMFolder::idString() const
   TQString escapedName = name();
   /* Escape [ and ] as they are disallowed for kconfig sections and that is
      what the idString is primarily used for. */
-  escapedName.tqreplace( "[", "%(" );
-  escapedName.tqreplace( "]", "%)" );
+  escapedName.replace( "[", "%(" );
+  escapedName.replace( "]", "%)" );
   return relativePath + escapedName;
 }
 
@@ -901,7 +901,7 @@ bool KMFolder::isValidName( const TQString &folderName, TQString &message )
   KMFolderType fldType = folderType();
 
   // names of local folders must not contain a '/'
-  if ( folderName.tqfind( '/' ) != -1 &&
+  if ( folderName.find( '/' ) != -1 &&
        fldType != KMFolderTypeImap &&
        fldType != KMFolderTypeCachedImap ) {
     message = i18n( "Folder names cannot contain the / (slash) character; please choose another folder name." );
@@ -928,7 +928,7 @@ bool KMFolder::isValidName( const TQString &folderName, TQString &message )
         delimiter = ai->delimiterForFolder( mStorage );
       }
     }
-    if ( !delimiter.isEmpty() && folderName.tqfind( delimiter ) != -1 ) {
+    if ( !delimiter.isEmpty() && folderName.find( delimiter ) != -1 ) {
       message = i18n( "Your IMAP server does not allow the character '%1'; please choose another folder name." ).tqarg( delimiter );
       return false;
     }
diff --git a/kmail/kmfolder.h b/kmail/kmfolder.h
index 83a4a7a2f..67e77665e 100644
--- a/kmail/kmfolder.h
+++ b/kmail/kmfolder.h
@@ -260,8 +260,8 @@ public:
   int moveMsg(TQPtrList<KMMessage>, int* index_return = 0);
 
   /** Returns the index of the given message or -1 if not found. */
-  int tqfind(const KMMsgBase* msg) const;
-  int tqfind( const KMMessage * msg ) const;
+  int find(const KMMsgBase* msg) const;
+  int find( const KMMessage * msg ) const;
 
   /** Number of messages in this folder. */
   int count(bool cache = false) const;
diff --git a/kmail/kmfoldercachedimap.cpp b/kmail/kmfoldercachedimap.cpp
index de9f4e007..d23a6ea5c 100644
--- a/kmail/kmfoldercachedimap.cpp
+++ b/kmail/kmfoldercachedimap.cpp
@@ -549,7 +549,7 @@ int KMFolderCachedImap::addMsgInternal( KMMessage* msg, bool newMail,
       if ( imapPath() == "/INBOX/" )
         filter = true;
     } else {
-      if ( GlobalSettings::filterSourceFolders().tqcontains( folder()->id() ) )
+      if ( GlobalSettings::filterSourceFolders().contains( folder()->id() ) )
         filter = true;
     }
     if ( filter )
@@ -674,7 +674,7 @@ KMMsgBase* KMFolderCachedImap::findByUID( ulong uid )
     mapReloaded = true;
   }
 
-  TQMap<ulong,int>::Iterator it = uidMap.tqfind( uid );
+  TQMap<ulong,int>::Iterator it = uidMap.find( uid );
   if( it != uidMap.end() ) {
     KMMsgBase *msg = getMsgBase( *it );
 #if MAIL_LOSS_DEBUGGING
@@ -701,7 +701,7 @@ KMMsgBase* KMFolderCachedImap::findByUID( ulong uid )
     return 0;
   // There could be a problem in the maps. Rebuild them and try again
   reloadUidMap();
-  it = uidMap.tqfind( uid );
+  it = uidMap.find( uid );
   if( it != uidMap.end() )
     // Since the uid map is just rebuilt, no need for the sanity check
     return getMsgBase( *it );
@@ -1394,11 +1394,11 @@ void KMFolderCachedImap::buildSubFolderList()
     while( node ) {
       if( !node->isDir() ) {
         KMFolderCachedImap* storage = static_cast<KMFolderCachedImap*>(static_cast<KMFolder*>(node)->storage());
-        const bool folderIsNew = mNewlyCreatedSubfolders.tqcontains( TQGuardedPtr<KMFolderCachedImap>( storage ) );
+        const bool folderIsNew = mNewlyCreatedSubfolders.contains( TQGuardedPtr<KMFolderCachedImap>( storage ) );
         // Only sync folders that have been accepted by the server
         if ( !storage->imapPath().isEmpty()
              // and that were not just deleted from it
-             && !foldersForDeletionOnServer.tqcontains( storage->imapPath() ) ) {
+             && !foldersForDeletionOnServer.contains( storage->imapPath() ) ) {
           if ( mRecurse || folderIsNew ) {
             mSubfoldersForSync << storage;
           }
@@ -1691,7 +1691,7 @@ bool KMFolderCachedImap::deleteMessages()
   TQMap<ulong,int>::const_iterator it = uidMap.constBegin();
   for( ; it != uidMap.end(); it++ ) {
     ulong uid ( it.key() );
-    if( uid!=0 && !uidsOnServer.tqfind( uid ) ) {
+    if( uid!=0 && !uidsOnServer.find( uid ) ) {
       uids << TQString::number( uid );
       msgsForDeletion.append( getMsgBase( *it ) );
     }
@@ -1832,28 +1832,28 @@ void KMFolderCachedImap::slotGetMessagesData(KIO::Job * job, const TQByteArray &
     return;
   }
   (*it).cdata += TQCString(data, data.size() + 1);
-  int pos = (*it).cdata.tqfind("\r\n--IMAPDIGEST");
+  int pos = (*it).cdata.find("\r\n--IMAPDIGEST");
   if (pos > 0) {
-    int a = (*it).cdata.tqfind("\r\nX-uidValidity:");
+    int a = (*it).cdata.find("\r\nX-uidValidity:");
     if (a != -1) {
-      int b = (*it).cdata.tqfind("\r\n", a + 17);
+      int b = (*it).cdata.find("\r\n", a + 17);
       setUidValidity((*it).cdata.mid(a + 17, b - a - 17));
     }
-    a = (*it).cdata.tqfind("\r\nX-Access:");
+    a = (*it).cdata.find("\r\nX-Access:");
     // Only trust X-Access (i.e. the imap select info) if we don't know mUserRights.
     // The latter is more accurate (checked on every sync) whereas X-Access is only
     // updated when selecting the folder again, which might not happen if using
     // RMB / Check Mail in this folder. We don't need two (potentially conflicting)
     // sources for the readonly setting, in any case.
     if (a != -1 && mUserRightsState != KMail::ACLJobs::Ok ) {
-      int b = (*it).cdata.tqfind("\r\n", a + 12);
+      int b = (*it).cdata.find("\r\n", a + 12);
       const TQString access = (*it).cdata.mid(a + 12, b - a - 12);
       setReadOnly( access == "Read only" );
     }
     (*it).cdata.remove(0, pos);
     mFoundAnIMAPDigest = true;
   }
-  pos = (*it).cdata.tqfind("\r\n--IMAPDIGEST", 1);
+  pos = (*it).cdata.find("\r\n--IMAPDIGEST", 1);
   // Start with something largish when rebuilding the cache
   if ( uidsOnServer.size() == 0 )
     uidsOnServer.resize( KMail::nextPrime( 2000 ) );
@@ -1869,16 +1869,16 @@ void KMFolderCachedImap::slotGetMessagesData(KIO::Job * job, const TQByteArray &
     // The below is optimized for speed, not prettiness. The commented out chunk
     // above was the solution copied from kmfolderimap, and it's 15-20% slower.
     const TQCString& entry( (*it).cdata );
-    const int indexOfUID = entry.tqfind("X-UID", 16);
+    const int indexOfUID = entry.find("X-UID", 16);
     const int startOfUIDValue = indexOfUID  + 7;
-    const int indexOfLength = entry.tqfind("X-Length", startOfUIDValue ); // we know length comes after UID
+    const int indexOfLength = entry.find("X-Length", startOfUIDValue ); // we know length comes after UID
     const int startOfLengthValue = indexOfLength + 10;
-    const int indexOfFlags = entry.tqfind("X-Flags", startOfLengthValue ); // we know flags comes last
+    const int indexOfFlags = entry.find("X-Flags", startOfLengthValue ); // we know flags comes last
     const int startOfFlagsValue = indexOfFlags + 9;
 
-    const int flags = entry.mid( startOfFlagsValue, entry.tqfind( '\r', startOfFlagsValue ) - startOfFlagsValue ).toInt();
-    const ulong size = entry.mid( startOfLengthValue, entry.tqfind( '\r', startOfLengthValue ) - startOfLengthValue ).toULong();
-    const ulong uid = entry.mid( startOfUIDValue, entry.tqfind( '\r', startOfUIDValue ) - startOfUIDValue ).toULong();
+    const int flags = entry.mid( startOfFlagsValue, entry.find( '\r', startOfFlagsValue ) - startOfFlagsValue ).toInt();
+    const ulong size = entry.mid( startOfLengthValue, entry.find( '\r', startOfLengthValue ) - startOfLengthValue ).toULong();
+    const ulong uid = entry.mid( startOfUIDValue, entry.find( '\r', startOfUIDValue ) - startOfUIDValue ).toULong();
 
     const bool deleted = ( flags & 8 );
     if ( !deleted ) {
@@ -1907,7 +1907,7 @@ void KMFolderCachedImap::slotGetMessagesData(KIO::Job * job, const TQByteArray &
            kdDebug(5006) << "Looking at uid " << uid << " high water is: " << lastUid() << " we should delete it" << endl;
 #endif
           // double check we deleted it since the last sync
-           if ( mDeletedUIDsSinceLastSync.tqcontains(uid) ) {
+           if ( mDeletedUIDsSinceLastSync.contains(uid) ) {
                if ( mUserRightsState != KMail::ACLJobs::Ok || ( mUserRights & KMail::ACLJobs::Delete ) ) {
 #if MAIL_LOSS_DEBUGGING
                    kdDebug(5006) << "message with uid " << uid << " is gone from local cache. Must be deleted on server!!!" << endl;
@@ -1942,7 +1942,7 @@ void KMFolderCachedImap::slotGetMessagesData(KIO::Job * job, const TQByteArray &
 #endif
         // The message is new since the last sync, but we might have just uploaded it, in which case
         // the uid map already contains it.
-        if ( !uidMap.tqcontains( uid ) ) {
+        if ( !uidMap.contains( uid ) ) {
           mMsgsForDownload << KMail::CachedImapJob::MsgForDownload(uid, flags, size);
           if( imapPath() == "/INBOX/" )
             mUidsForDownload << uid;
@@ -1958,7 +1958,7 @@ void KMFolderCachedImap::slotGetMessagesData(KIO::Job * job, const TQByteArray &
     }
     (*it).cdata.remove(0, pos);
     (*it).done++;
-    pos = (*it).cdata.tqfind("\r\n--IMAPDIGEST", 1);
+    pos = (*it).cdata.find("\r\n--IMAPDIGEST", 1);
   }
 }
 
@@ -2184,7 +2184,7 @@ void KMFolderCachedImap::slotListResult( const TQStringList& folderNames,
       if (!node->isDir() ) {
         KMFolderCachedImap *f = static_cast<KMFolderCachedImap*>(static_cast<KMFolder*>(node)->storage());
 
-        if ( mSubfolderNames.tqfindIndex(node->name()) == -1 ) {
+        if ( mSubfolderNames.findIndex(node->name()) == -1 ) {
           TQString name = node->name();
           // as more than one namespace can be listed in the root folder we need to make sure
           // that the folder is within the current namespace
@@ -2207,7 +2207,7 @@ void KMFolderCachedImap::slotListResult( const TQStringList& folderNames,
           /**
            * Store the folder attributes for every subfolder.
            */
-          int index = mSubfolderNames.tqfindIndex( node->name() );
+          int index = mSubfolderNames.findIndex( node->name() );
           f->mFolderAttributes = folderAttributes[ index ];
         }
       } else {
@@ -2669,7 +2669,7 @@ void KMFolderCachedImap::updateAnnotationFolderType()
 {
   TQString oldType = mAnnotationFolderType;
   TQString oldSubType;
-  int dot = oldType.tqfind( '.' );
+  int dot = oldType.find( '.' );
   if ( dot != -1 ) {
     oldType.truncate( dot );
     oldSubType = mAnnotationFolderType.mid( dot + 1 );
@@ -2728,7 +2728,7 @@ void KMFolderCachedImap::slotAnnotationResult(const TQString& entry, const TQStr
     if ( found ) {
       TQString type = value;
       TQString subtype;
-      int dot = value.tqfind( '.' );
+      int dot = value.find( '.' );
       if ( dot != -1 ) {
         type.truncate( dot );
         subtype = value.mid( dot + 1 );
@@ -2852,11 +2852,11 @@ void KMFolderCachedImap::slotMultiUrlGetAnnotationResult( KIO::Job* job )
       kdDebug(5006) << k_funcinfo << "Folder: " << folderPath << " has type: " << annotation << endl;
       // we're only interested in the main type
       TQString type(annotation);
-      int dot = annotation.tqfind( '.' );
+      int dot = annotation.find( '.' );
       if ( dot != -1 ) type.truncate( dot );
       type = type.simplifyWhiteSpace();
 
-      const int idx = mSubfolderPaths.tqfindIndex( folderPath );
+      const int idx = mSubfolderPaths.findIndex( folderPath );
       const bool isNoContent =  mSubfolderMimeTypes[idx] == "inode/directory";
       if ( ( isNoContent && type.isEmpty() )
         || ( !type.isEmpty() && type != KMailICalIfaceImpl::annotationForContentsType( ContentsTypeMail ) ) ) {
diff --git a/kmail/kmfoldercombobox.cpp b/kmail/kmfoldercombobox.cpp
index e85144f0a..1135b25b7 100644
--- a/kmail/kmfoldercombobox.cpp
+++ b/kmail/kmfoldercombobox.cpp
@@ -114,9 +114,9 @@ void KMFolderComboBox::setFolder( KMFolder *aFolder )
   TQValueList<TQGuardedPtr<KMFolder> > folders;
   createFolderList( &names, &folders );
 
-  int idx = folders.tqfindIndex( aFolder );
+  int idx = folders.findIndex( aFolder );
   if (idx == -1)
-    idx = folders.tqfindIndex( kmkernel->draftsFolder() );
+    idx = folders.findIndex( kmkernel->draftsFolder() );
   setCurrentItem( idx >= 0 ? idx : 0 );
 
   mFolder = aFolder;
diff --git a/kmail/kmfolderdir.cpp b/kmail/kmfolderdir.cpp
index 32eb58343..1fd5dcd56 100644
--- a/kmail/kmfolderdir.cpp
+++ b/kmail/kmfolderdir.cpp
@@ -320,8 +320,8 @@ bool KMFolderDir::reload(void)
 
       // .foo.directory => foo
       TQString folderName = *it;
-      int right = folderName.tqfind( ".directory" );
-      int left = folderName.tqfind( "." );
+      int right = folderName.find( ".directory" );
+      int left = folderName.find( "." );
       Q_ASSERT( left != -1 && right != -1 );
       folderName = folderName.mid( left + 1, right - 1 );
 
